import 'package:get/get.dart';
import 'package:sigap/src/features/daily-ops/data/repositories/patrol_units_repository.dart';
import 'package:sigap/src/features/daily-ops/data/repositories/unit_statistics_repository.dart';
import 'package:sigap/src/features/daily-ops/data/repositories/units_repository.dart';

class DailyOpsRepositoryBindings extends Bindings {
  @override
  void dependencies() {
    // Register all feature daily ops controllers
    Get.lazyPut<UnitRepository>(() => UnitRepository(), fenix: true);
    Get.lazyPut<UnitStatisticsRepository>(
      () => UnitStatisticsRepository(),
      fenix: true,
    );
    Get.lazyPut<PatrolUnitRepository>(
      () => PatrolUnitRepository(),
      fenix: true,
    );
  }
}
